/////////////////////////////////////////////////////////////////////////////
// $Id: NextViewPlugin.h,v 1.4 2005/03/01 19:35:52 quenotte Exp $
/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2000-2005 Quenotte  All rights reserved.
/////////////////////////////////////////////////////////////////////////////
//
//	This file is subject to the terms of the GNU General Public License as
//	published by the Free Software Foundation.  A copy of this license is
//	included with this software distribution in the file COPYING.  If you
//	do not have a copy, you may obtain a copy by writing to the Free
//	Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
//	This software is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details
/////////////////////////////////////////////////////////////////////////////
//
// Version 1.8
//
/////////////////////////////////////////////////////////////////////////////

#ifndef NEXTVIEW_PLUGIN
#define NEXTVIEW_PLUGIN

#include <windows.h>

/*
// ---------------------------------------------------------------------------
// Structure which holds initial parameters
//
typedef struct
{
   const char * pAppName;
   const char * tvAppPath;
   TVAPP_NAME   tvAppType;
   uint         tvFeatures;

   void      (* pCbEpgEvent)( void );

} WINSHMCLNT_TVAPP_INFO;

*/

typedef struct
{
	char (__cdecl * Init)(const WINSHMCLNT_TVAPP_INFO * pInitInfo, unsigned int CardIdx, int * pEvent);
	void (__cdecl * Exit)();

	unsigned char (__cdecl * AcqNewVbiFrame)(unsigned int);
	void (__cdecl * AddPacket)( const unsigned char * data, unsigned int line );
	void (__cdecl * AddVpsData)(const unsigned char * data );
	
	char (__cdecl * SetStation)(const char * pChanName, unsigned int cni, unsigned int inputSrc, unsigned int freq );
	int  (__cdecl * GetEpgEvent)(void);
	unsigned char (__cdecl * GetProgInfo)
			(time_t * pStart, time_t * pStop,
			uchar * pThemes, uint * pThemeCount,
			uchar * pTitle, uint maxTitleLen );
	bool (__cdecl * GetCmdArgv)( uint * pArgc, uint * pArgLen, char * pCmdBuf, uint cmdMaxLen );

	const unsigned char  * (__cdecl * GetErrorMsg)(void);
} TVApp;

#endif